import {CustomJoke} from "../../model/CustomJoke";
import {SampleJoke} from "../../model/SampleJoke";
import {Action, ActionType} from "../actions/CustomJoke";
import {Category} from "../../model/Category";

interface State {
    customJokes: CustomJoke[];
    customJoke: CustomJoke;
}

const initialState = {
    customJokes: [],
    customJoke: new CustomJoke('', '', '', '')
}

const customReducer = (state: State = initialState, action: Action) => {
    switch (action.type) {
        case ActionType.POST_CUSTOM_JOKE:
            // @ts-ignore
            return {...state, customJoke: action.payload};
        case ActionType.FETCH_JOKES:
            // @ts-ignore
            return {...state, customJokes: action.payload};
        default:
            return state;
    }
}

export default customReducer;